bond_mode in /etc/network/interfaces ignored

Bug #559090 reported by Hark on 2010-04-09
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
ifenslave-2.6 (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Steve Langasek

Bug Description

Binary package hint: ifenslave-2.6

In Karmic and Lucid the option bond_mode in /etc/network/interfaces is ignored. It used to work before, and also according to the documentation on the website and for example /usr/share/doc/ifenslave-2.6/README.Debian in Lucid.

For example I have

auto bond2
iface bond2 inet static
        slaves eth1 eth2
        address 192.168.5.24
        netmask 255.255.255.0
        network 192.168.5.0
        broadcast 192.168.5.255
        bond_mode 5

But this gives me a mode 0 bond. I had to add 'options bonding mode=5' to /etc/modprobe.d/bonding.conf to get a mode 5 bond.

SRU justification: the release notes and examples point users at the correct way to do it, but the README.Debian, which is usually the first place for experienced users to look, describes the wrong way to use the package. Since this is important enough to have in the release notes, it's also worth an SRU to update our other in-package documentation.

TEST CASE:
1. follow /usr/share/doc/ifenslave-2.6/README.Debian in lucid
2. reboot
3. observe that this fails to work
4. follow /usr/share/doc/ifenslave-2.6/README.Debian in lucid-proposed
5. reboot
6. confirm that this brings up a bonded interface

The patch is trivial and only affects documentation; the only regression potential is from latent rebuild bugs.

Steve Langasek (vorlon) wrote :

Thank you for taking the time to report this issue and help to improve Ubuntu.

As documented at <https://wiki.ubuntu.com/LucidLynx/ReleaseNotes#Bonded%20network%20interfaces%20must%20use%20hotplug-style%20configuration>, you must use the hotplug-style configuration in /etc/network/interfaces; specifying the bond slaves in the bond interface stanza will not work. If you create the correct stanzas for eth1 and eth2, does this problem still occur?

Changed in ifenslave-2.6 (Ubuntu):
status: New → Incomplete
Hark (ubuntu-komkommerkom) wrote :

Thanks for you answer Steve. I will test this on a next server install soon, but I guess this will work. Still, I think the documentation is very unclear. I did read /usr/share/doc/ifenslave-2.6/README.Debian, but that didn't inform me of the fact that Ubuntu now always handles devices in a hotplug manner, and hence a different bond configuration is required. That info is only on https://wiki.ubuntu.com/LucidLynx/ReleaseNotes#Bonded%20network%20interfaces%20must%20use%20hotplug-style%20configuration. I think it should also be in the documentation files of the ifenslave package.

Steve Langasek (vorlon) wrote :

You're right; I had updated the examples in the package but hadn't updated README.Debian. I'm uploading this fix to maverick now and will also prepare an SRU upload for lucid.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ifenslave-2.6 - 1.1.0-15ubuntu2

---------------
ifenslave-2.6 (1.1.0-15ubuntu2) maverick; urgency=low

  * Adjust README.Debian to be consistent with the examples, not advising
    users to use interface configs that won't work reliably with upstart.
    LP: #559090.
 -- Steve Langasek <email address hidden> Fri, 11 Jun 2010 12:43:09 -0700

Changed in ifenslave-2.6 (Ubuntu):
status: Incomplete → Fix Released
Steve Langasek (vorlon) on 2010-06-11
Changed in ifenslave-2.6 (Ubuntu Lucid):
importance: Undecided → Medium
assignee: nobody → Steve Langasek (vorlon)
Steve Langasek (vorlon) on 2010-06-11
description: updated
Changed in ifenslave-2.6 (Ubuntu Lucid):
status: New → In Progress

Accepted ifenslave-2.6 into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in ifenslave-2.6 (Ubuntu Lucid):
status: In Progress → Fix Committed
tags: added: verification-needed
Hark (ubuntu-komkommerkom) wrote :

Works like a charm when I follow the new documentation in proposed. Only for the option names dashes and underscores are mixed, which is confusing. I read bond_slaves, bond-master, bond-primary and bond_mode in README.Debian, but also bond_primary. In examples/two_hotplug_ethernet it is bond-slaves, bond-primary and bond-mode. I guess both work, either with dash or underscore, but please choose one for the documentation.

Martin Pitt (pitti) on 2010-06-21
tags: added: verification-done
removed: verification-needed
Kendall Gifford (zettabyte) wrote :

This also affected me. I tested the new proposed package and the updated documentation worked for me as well. Thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ifenslave-2.6 - 1.1.0-14ubuntu2.1

---------------
ifenslave-2.6 (1.1.0-14ubuntu2.1) lucid-proposed; urgency=low

  * Adjust README.Debian to be consistent with the examples, not advising
    users to use interface configs that won't work reliably with upstart.
    LP: #559090.
 -- Steve Langasek <email address hidden> Fri, 11 Jun 2010 14:35:19 -0700

Changed in ifenslave-2.6 (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers